<div class="steps text-center">
  <div class="stepper-progress">
    <progressbar [value]="progress"></progressbar>
  </div>
  <ng-container *ngFor="let step of steps; let i = index">
    <div class="step" [class.active]="_selectedIndex === i" [class.activated]="_selectedIndex > i" (click)="stepClicked(i)" style="width: {{100 / getNumberOfSteps()}}%">
      <div class="step-icon">{{i+1}}</div>
      <p>{{step.label}}</p>
    </div>
  </ng-container>
</div>